> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Appointment Definition Special Hour

> A `DELETE` to the `/appointment-definitions/{appointmentDefinitionId}/special-hours/{specialHourId}` endpoint allows your application to delete a specific appointment definition special hour.



## OpenAPI

````yaml delete /v3/appointment-definitions/{appointmentDefinition}/special-hours/{specialHour}
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/appointment-definitions/{appointmentDefinition}/special-hours/{specialHour}:
    delete:
      tags:
        - Appointment Definition Special Hour
      summary: Delete Appointment Definition Special Hour
      description: >-
        A `DELETE` to the
        `/appointment-definitions/{appointmentDefinitionId}/special-hours/{specialHourId}`
        endpoint allows your application to delete a specific appointment
        definition special hour.
      operationId: appointment-definitions.special-hours.destroy
      parameters:
        - name: appointmentDefinition
          in: path
          required: true
          description: The appointment definition ID
          schema:
            type: integer
        - name: specialHour
          in: path
          required: true
          description: The special hour ID
          schema:
            type: integer
      responses:
        '204':
          description: No content
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````